Bug 343948 - Crashes as soon as i try to import from USB3 attached flash drive with images on
Summary: Crashes as soon as i try to import from USB3 attached flash drive with images on
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Import-UMS (show other bugs)
Version: 4.5.0
Platform: Microsoft Windows Microsoft Windows
: NOR critical (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-08 21:42 UTC by David
Modified: 2017-08-16 09:26 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.12.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David 2015-02-08 21:42:04 UTC
Have a folder of image in USB3 64GB attached fash drive, program crashes as soon as I try to import
Comment 1 caulier.gilles 2015-02-08 22:02:10 UTC
Without a backtrace, we cannot provide a support to this file.

Please look to this page to see how to get a debug backtrace :

https://www.digikam.org/contrib
Comment 2 caulier.gilles 2015-06-22 21:53:50 UTC
Git commit ad8538938371ec4152450c661b1857f8441e3af8 by Maik Qualmann.
Committed on 19/06/2015 at 21:01.
Pushed by mqualmann into branch 'master'.

fixes the model initialisation from the icon view and thumb bar of the import
window
Related: bug 349280
FIXED-IN: 4.12.0

M  +3    -1    NEWS
M  +1    -7    utilities/importui/main/importui.cpp
M  +7    -3    utilities/importui/views/importiconview.cpp
M  +0    -2    utilities/importui/views/importiconview.h
M  +11   -20   utilities/importui/views/importstackedview.cpp
M  +0    -1    utilities/importui/views/importstackedview.h
M  +3    -12   utilities/importui/views/importview.cpp
M  +1    -1    utilities/importui/views/importview.h

http://commits.kde.org/digikam/ad8538938371ec4152450c661b1857f8441e3af8